<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

function feslider_options($i = 0) {
	$options = get_option('feslider', array());

	if (!isset($options["post_types"])) {
		$options["post_types"] = array('post', 'page');
	}

	if (!isset($options["replace_featured_image"][$i])) {
		$options["replace_featured_image"][$i] = 'false';
	}

	if (!isset($options[$i]["width"])) {
		$options[$i]["width"] = '960';
	}

	if (!isset($options[$i]["height"])) {
		$options[$i]["height"] = '500';
	}

	if (!isset($options[$i]["responsive"])) {
		$options[$i]["responsive"] = 'true';
	}

	if (!isset($options[$i]["fesliderMargin"])) {
		$options[$i]["fesliderMargin"] = 10;
	}

	// Images Dimension

	if (!isset($options[$i]["imageScaleMode"])) {
		$options[$i]["imageScaleMode"] = 'cover';
	}

	if (!isset($options[$i]["centerImage"])) {
		$options[$i]["centerImage"] = 'true';
	}

	if (!isset($options[$i]["allowScaleUp"])) {
		$options[$i]["allowScaleUp"] = 'true';
	}

	// Appearance

	if (!isset($options[$i]["arrows"])) {
		$options[$i]["arrows"] = 'true';
	}

	if (!isset($options[$i]["fadeArrows"])) {
		$options[$i]["fadeArrows"] = 'true';
	}

	if (!isset($options[$i]["buttons"])) {
		$options[$i]["buttons"] = 'true';
	}

	if (!isset($options[$i]["slideDistance"])) {
		$options[$i]["slideDistance"] = 10;
	}


	if (!isset($options[$i]["fullScreen"])) {
		$options[$i]["fullScreen"] = 'false';
	}

	// Behaviours

	if (!isset($options[$i]["autoplay"])) {
		$options[$i]["autoplay"] = 'true';
	}

	if (!isset($options[$i]["slideAnimationDuration"])) {
		$options[$i]["slideAnimationDuration"] = 700;
	}

	if (!isset($options[$i]["fade"])) {
		$options[$i]["fade"] = 'false';
	}

	if (!isset($options[$i]["shuffle"])) {
		$options[$i]["shuffle"] = 'false';
	}

	if (!isset($options[$i]["orientation"])) {
		$options[$i]["orientation"] = 'horizontal';
	}

	if (!isset($options[$i]["rightToLeft"])) {
		$options[$i]["rightToLeft"] = 'false';
	}

	if (!isset($options[$i]["loop"])) {
		$options[$i]["loop"] = 'true';
	}

	// join the $options[$i] to main array
	foreach ($options[$i] as $key => $value) {
		$options[$key] = $value;
	}

	// remove $options[$i]
	unset($options[$i]);
	
	return $options;
}
