<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Feslider Uploader
 * @author Haris
 */

Class fesliderUploader
{
	public function __construct($args = array())
	{
		$default_args = array(
			'name' => 'wp-media',
			'button' => '#wp-media-add-slide',
			'container' => '#wp-media',
			'type' => 'image',
			'frame' => 'select',
			'multiple' => 'true',
			'empty_notice' => 'No images yet.'
		);

		$this->args = array_replace($default_args, $args);

		// print
		$this->javascript();
	}

	private function javascript()
	{
		// prevent the same name of media modal to double identified
		$varname = $this->args['name'];
		$varname = str_replace('-', '_', $varname);
		$varname = str_replace(' ', '_', $varname);

		?>
		
		<script type='text/javascript'>
		
		if(typeof(feslider_media_<?php echo $varname ?>) === 'undefined') { 
			var feslider_media_<?php echo $varname ?> = false;
		}

		if(! feslider_media_<?php echo $varname ?>){ feslider_media_<?php echo $varname ?> = true;

		jQuery(document).ready(function($) {
			$('<?php echo $this->args['button'] ?>').on('click',function(e) {
		        var custom_uploader
		        var media_button = $(this);

		        e.preventDefault();

		        //If the uploader object has already been created, reopen the dialog
		        if (custom_uploader) {
		            custom_uploader.open();
		            return;
		        }

		        //Extend the wp.media object
		        custom_uploader = wp.media.frames.file_frame = wp.media({
		            frame: '<?php echo $this->args['frame'] ?>',
		            title: 'Choose <?php echo $this->args['type'] ?>',
		            library : { type : '<?php echo $this->args['type'] ?>'},
		            button: {
		                text: 'Choose <?php echo $this->args['type'] ?>'
		            },
		            multiple: <?php echo $this->args['multiple'] ?>
		        });
		 
		        //When a file is selected, grab the URL and set it as the text field's value
		        custom_uploader.on('select', function() {
		        	var container = $('<?php echo $this->args['container'] ?>');
		            var attachments = custom_uploader.state().get('selection').toJSON();

		            if(attachments.length > 0 && container.children('span').length > 0) {
		            	container.children('span').remove();
		            }

					$.each(attachments, function(index, value){
						var string = '<div class="feslider-image-item">';
							string+= '<img src="' + value.sizes.thumbnail.url + '" >';
							string+= '<a href="javascript:;" class="feslider-close-item">&times;</a>';
							string+= '<input type="hidden" name="<?php echo $varname ?>_id[]" value="' + value.id + '" >';
							string+= '<input type="hidden" name="<?php echo $varname ?>_url[]" value="' + value.url + '" >';
							string+= '<input type="hidden" name="<?php echo $varname ?>_thumb[]" value="' + value.sizes.thumbnail.url + '" >';
							string+= '</div>';

						container.append(string);
					});
		        });
		 
		        //Open the uploader dialog
		        custom_uploader.open();	 
		    });

		    // remove item
		    $('<?php echo $this->args['container'] ?>').on('click', '.feslider-close-item', function(){
		    	var container = $('<?php echo $this->args['container'] ?>');
		    	
		    	$(this).parent('.feslider-image-item').remove();		    	

		    	if(container.children('.feslider-image-item').length <= 0) {
		    		container.html("<?php echo $this->args['empty_notice'] ?>");
		    	}
		    });

		    // sortable
		    $('<?php echo $this->args['container'] ?>').sortable({
		      	placeholder: "feslider-sortable-placeholder",
		      	cancel: ".feslider-close-item"
		    });

		    $('<?php echo $this->args['container'] ?>').disableSelection();
		});		

		} //if feslider_media_$varname";

		</script>

		<?php
	}
}	