<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

$empty_notice = "<span>No slides yet. Press <b>Add Slides</b> button to start.</span>";

new fesliderUploader(array(
	'name' => 'feslider-image',
	'button' => '#feslider-add-slide',
	'container' => '#feslider-image-container',
	'empty_notice' => $empty_notice
));

?>

<script type="text/javascript">
	jQuery(document).ready(function($) {
		$('#feslider-how-button').click(function(){
			$('#feslider-how-modal' ).dialog({
				'width': 500,
				'modal': true
			});
		});	  	
	});
</script>

<div id="feslider-button-container">
	<a class='button' id="feslider-add-slide">
		<span class="wp-media-buttons-icon dashicons dashicons-images-alt2"></span>
		Add Slides
	</a>
	<a class='button' href="<?php echo admin_url('admin.php?page=feslider-settings') ?>">
		<span class="wp-media-buttons-icon dashicons dashicons-admin-generic"></span>
		Settings
	</a>
	<a class='button' id="feslider-how-button">
		<span class="wp-media-buttons-icon dashicons dashicons-editor-help"></span>
		How To Use
	</a>
	<a class='button' id="feslider-how-button" href="https://profiles.wordpress.org/harisrozak/#content-plugins" target="_blank">
		<span class="wp-media-buttons-icon dashicons dashicons-star-filled"></span>
		Our Free Plugins
	</a>
</div>

<div id="feslider-how-modal" style="display:none;" title="FESlider - How to use">
	<ol>
		<li>Add your image(s) for use as slides. You can add multiple images by hold CTRL while select/click the images.</li>
		<li>Add the slide text if you wish by edit the caption field on the wordpress media library editor.</li>
		<li>The slideshow will automatically appears on the top of the post. You can also place the slideshow manually by put the <code>[feslider]</code> shortcode on the current post/page content.</li>
		<li>Some themes are just not working with our featured-image replacement. If it's happen to yours, then please use it manually by putting the <code>[feslider]</code> shortcode to your post/page content.</li>
		<li>Visit the slideshow settings page by click the settings button on post editor or click the FESlider menu on wordpress admin sidebar.</li>
		<!-- <li>Slideshow settings values will working on all FESlider slideshow on the site. If you want to customize settings for each or groups of slideshow, please buy the premium addon from elenathemes.com [COMING SOON]</li> -->
	</ol>
</div>

<div id="feslider-image-container">

	<?php if($feslider && $feslider['count'] > 0): foreach ($feslider_images as $image): ?>

	<div class="feslider-image-item">
		<img src="<?php echo esc_url($image['thumb']) ?>">
		<a href="javascript:;" class="feslider-close-item">&times;</a>
		<input type="hidden" name="feslider_image_id[]" value="<?php echo $image['id'] ?>" >
		<input type="hidden" name="feslider_image_url[]" value="<?php echo $image['url'] ?>" >
		<input type="hidden" name="feslider_image_thumb[]" value="<?php echo $image['thumb'] ?>" >
	</div>

	<?php 
		endforeach;
		else:
			echo $empty_notice;
		endif;
	?>

</div>