<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>

<script type="text/javascript">
	jQuery(function($){
		$('.select2').select2();
	})
</script>

<div class="wrap" id="feslider-settings">

	<form method="post" action="options.php">

	<?php
		/**
		 * saved notification
		 */
		if(isset($_REQUEST['settings-updated']) && $_REQUEST['settings-updated']==true) {
		    echo "<div id='message' class='updated'><p><strong>Settings saved</strong></p></div>";
		}

		/**
		 * load settings field
		 * load saved / default options
		 */
		settings_fields('feslider');
		$options = feslider_options();

		/**
		 * form library
		 */
		require_once(FESLIDER_DIR . 'inc/form-library.php');
		$form_field = new harislabFormLibrary();

		$boolean_select = array(
			array(
				'value' => 'true',
				'label' => 'True'
			),
			array(
				'value' => 'false',
				'label' => 'False'
			)
		);

		$image_scale_select = array(
			array(
				'value' => 'cover',
				'label' => 'Cover'
			),
			array(
				'value' => 'contain',
				'label' => 'Contain'
			),
			array(
				'value' => 'exact',
				'label' => 'Exact'
			),
			array(
				'value' => 'none',
				'label' => 'None'
			)
		);

		$orientation_select = array(
			array(
				'value' => 'horizontal',
				'label' => 'Horizontal'
			),
			array(
				'value' => 'vertical',
				'label' => 'Vertical'
			)
		);
	?>

	<div class="postbox ">
		<div class="hndle ui-sortable-handle">
			<span>Feslider Settings</span>
		</div>
		<div class="inside">
			<div class="field-group">
				<label>Post Type</label>

				<?php
					$args = array('public' => true);
		    		$post_types = get_post_types($args,'objects');

		    		foreach ($post_types as $key => $value) {
		    			$arr_data[] = array(
							'value' => $key,
							'label' => $value->labels->name
		    			);
		    		}

		    		$form_field->print_multiselect($arr_data, 'feslider[post_types][]', $options['post_types'], 'class="select2"');
	    		?>
			</div>
		</div>
	</div>

	<div class="postbox ">
		<div class="hndle ui-sortable-handle">
			<span>Feslider Profile</span>
			<span class="sub">Global Profile</span>
		</div>
		<div class="inside">
			<div class="field-group">
				<label>Replace Featured Image</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][replace_featured_image]', $options['replace_featured_image']); ?>
				<span>Feslider will try to replace the featured image with the slider if available, and ignore the [feslider] shortcode on your content.<br>
				This will working if your theme use a proper way to display featured image, with <code>the_post_thumbnail</code> or <code>get_the_post_thumbnail</code>.</span>
			</div>

			<div class="field-group">
				<label>Width</label>
				<input type="number" name="feslider[0][width]" value="<?php echo $options['width'] ?>">
			</div>

			<div class="field-group">
				<label>Height</label>
				<input type="number" name="feslider[0][height]" value="<?php echo $options['height'] ?>">
			</div>

			<div class="field-group">
				<label>Responsive</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][responsive]', $options['responsive']); ?>
				<span>Indicates if the slider is responsive. The slider can be responsive even if the 'width' and/or 'height' properties are set to fixed values. In this situation, 'width' and 'height' will act as the maximum width and height of the slides.</span>
			</div>

			<div class="field-group">
				<label>Bottom Margin</label>
				<input type="number" name="feslider[0][fesliderMargin]" value="<?php echo $options['fesliderMargin'] ?>">
				<span>Margin bottom of the slider.</span>
			</div>

			<div class="field-section-title">Images Dimension</div>

			<div class="field-group">
				<label>Image Scale Mode</label>
				<?php $form_field->print_select($image_scale_select, 'feslider[0][imageScaleMode]', $options['imageScaleMode']); ?>
			</div>

			<div class="field-group">
				<label>Center Image</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][centerImage]', $options['centerImage']); ?>
				<span>Indicates if the image will be centered.</span>
			</div>

			<div class="field-group">
				<label>Allow Scale Up</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][allowScaleUp]', $options['allowScaleUp']); ?>
				<span>Indicates if the image can be scaled up more than its original size.</span>
			</div>

			<div class="field-section-title">Appearance</div>

			<div class="field-group">
				<label>Navigation Arrows</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][arrows]', $options['arrows']); ?>
			</div>

			<div class="field-group">
				<label>Fade Arrows</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][fadeArrows]', $options['fadeArrows']); ?>
				<span>Indicates whether the arrows will fade in only on hover.</span>
			</div>

			<div class="field-group">
				<label>Navigation Button</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][buttons]', $options['buttons']); ?>
			</div>

			<div class="field-group">
				<label>Slide Distance</label>
				<input type="number" name="feslider[0][slideDistance]" value="<?php echo $options['slideDistance'] ?>">
				<span>The distance / space between slides</span>
			</div>

			<div class="field-group">
				<label>Fullscreen Button</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][fullScreen]', $options['fullScreen']); ?>
			</div>

			<div class="field-section-title">Behaviours</div>

			<div class="field-group">
				<label>Autoplay</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][autoplay]', $options['autoplay']); ?>
			</div>

			<div class="field-group">
				<label>Slide Animation Duration</label>
				<input type="number" name="feslider[0][slideAnimationDuration]" value="<?php echo $options['slideAnimationDuration'] ?>">
				<span>The duration of the slide animation in miliseconds.</span>
			</div>

			<div class="field-group">
				<label>Fade Transition</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][fade]', $options['fade']); ?>
				<span>Use fade as transition instead of slide.</span>
			</div>

			<div class="field-group">
				<label>Shuffle Slides</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][shuffle]', $options['shuffle']); ?>
				<span>Indicates if the slides will be shuffled.</span>
			</div>

			<div class="field-group">
				<label>Slide Orientation</label>
				<?php $form_field->print_select($orientation_select, 'feslider[0][orientation]', $options['orientation']); ?>
				<span>Indicates whether the slides will be arranged horizontally or vertically.</span>
			</div>

			<div class="field-group">
				<label>RTL</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][rightToLeft]', $options['rightToLeft']); ?>
				<span>Indicates if the direction of the slider will be from right to left, instead of the default left to right.</span>
			</div>

			<div class="field-group">
				<label>Loop Transition</label>
				<?php $form_field->print_select($boolean_select, 'feslider[0][loop]', $options['loop']); ?>
				<span>Indicates if the slides will be looping when its reached the last slide.</span>
			</div>

			<input type="submit" class="button button-primary" value="Save Settings" >
		</div>
	</div>

	</form>
</div>
